Subject: bug#18494: 24.4.50; defclass creates undocumented *-list-p function

From: Stefan Monnier <[email-masked]>
Date: Sun, 21 Sep 2014 12:20:08 -0400

> I recall back in the day trying something like (list foo) and not getting it
> right so I just wrote a predicate.  I'm not that familiar with the nuances
> of typep, but if there is now a typep built into Emacs,

Not any more than before: there was CL's `typep' and now it's been
renamed to `cl-typep'.

> EIEIO will need to remove it's local copy of an old typep, and I could
> certainly convert over to using something list (list foo).  I use
> those predicates mostly with typep.

Could someone explain (and show) to me in detail how/where these
foo-list-p are used in relation to EIEIO?

        Stefan